package com.ygtx.gxt.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ygtx.gxt.domain.GxtOrderPerson;
import com.ygtx.gxt.mapper.GxtOrderPersonMapper;
import com.ygtx.gxt.service.IGxtOrderPersonService;

/**
 * 工单人员Service业务层处理
 * 
 * @author ruoyi
 */
@Service
public class GxtOrderPersonServiceImpl implements IGxtOrderPersonService
{
    @Autowired
    private GxtOrderPersonMapper gxtOrderPersonMapper;

    /**
     * 查询工单人员列表
     * 
     * @param gxtOrderPerson 工单人员
     * @return 工单人员
     */
    @Override
    public List<GxtOrderPerson> selectGxtOrderPersonList(GxtOrderPerson gxtOrderPerson)
    {
        return gxtOrderPersonMapper.selectGxtScoreDetailList(gxtOrderPerson);
    }

    @Override
    public int delRepairOrderFlowRecords() {
        return gxtOrderPersonMapper.delRepairOrderFlowRecords();
    }

    @Override
    public int delRepairOrderFlowRecordsNext() {
        return gxtOrderPersonMapper.delRepairOrderFlowRecordsNext();
    }

    @Override
    public int delWorkOrderFlowRecords() {
        return gxtOrderPersonMapper.delWorkOrderFlowRecords();
    }

    @Override
    public int delWorkOrderFlowRecordsNext() {
        return gxtOrderPersonMapper.delWorkOrderFlowRecordsNext();
    }

    @Override
    public int addRepairOrderFlowRecords() {
        return gxtOrderPersonMapper.addRepairOrderFlowRecords();
    }

    @Override
    public int addRepairOrderFlowRecordsNext() {
        return gxtOrderPersonMapper.addRepairOrderFlowRecordsNext();
    }

    @Override
    public int addWorkOrderFlowRecords() {
        return gxtOrderPersonMapper.addWorkOrderFlowRecords();
    }

    @Override
    public int addWorkOrderFlowRecordsNext() {
        return gxtOrderPersonMapper.addWorkOrderFlowRecordsNext();
    }

    @Override
    public Integer repairOrderFlowRecordsSize() {
        return gxtOrderPersonMapper.repairOrderFlowRecordsSize();
    }

    @Override
    public Integer workOrderFlowRecordsSize() {
        return gxtOrderPersonMapper.workOrderFlowRecordsSize();
    }

    @Override
    public Integer selectRepairOrderFlowRecordsSize() {
        return gxtOrderPersonMapper.selectRepairOrderFlowRecordsSize();
    }

    @Override
    public Integer selectWorkOrderFlowRecordsSize() {
        return gxtOrderPersonMapper.selectWorkOrderFlowRecordsSize();
    }
}